MIX_DecodeAudio(3)

NAME
MIX_DecodeAudio - Decode more audio from a MIX_AudioDecoder.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

int MIX_DecodeAudio(MIX_AudioDecoder *audiodecoder, void *buffer, int buflen, const SDL_AudioSpec *spec);

DESCRIPTION
Data is decoded on demand in whatever format is requested. The format is permitted to change between calls.

This function will return the number of bytes decoded, which may be less than requested if there was an error or end-of-file. A return value of zero means the entire file was decoded, -1 means an unrecoverable error happened.

FUNCTION PARAMETERS

audiodecoder
    the decoder from which to retrieve more data.

buffer
    the memory buffer to store decoded audio.

buflen
    the maximum number of bytes to store to buffer.

spec
    the format that audio data will be stored to buffer.

RETURN VALUE
Returns number of bytes decoded, or -1 on error; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.